# $Revision: 1.14.2.1 $, $Date: 2006/12/01 15:13:29 $
Summary:	Advanced vector graphics program written in Python
Summary(pl):	Zaawansowany program do rysowania grafiki wektorowej napisany w Pythonie
Summary(pt_BR):	Programa para desenhos de grficos vetoriais baseado em Python
Name:		skencil
Version:	0.6.17
Release:	1
License:	GPL
Group:		Applications/Graphics
Source0:	http://dl.sourceforge.net/sketch/%{name}-%{version}.tar.gz
# Source0-md5:	03f0a57cf623bcd657a4b8887d3ebe0b
Source1:	%{name}.desktop
URL:		http://www.skencil.org/
BuildRequires:	python-PIL-devel
BuildRequires:	python-devel >= 2.1
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
BuildRequires:	tk-devel
%pyrequires_eq	python
Requires:	python-PIL
Requires:	python-tkinter >= 2.1
Obsoletes:	sketch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Skencil is an interactive X11 drawing program (similar to XFig or
tgif). It features:
- drawing primitives like rectangles, ellipses, bezier curves,
  external images, text
- primitives properties
- transformations: rotation, scaling, shearing, etc.
- special effects like blend groups, converting text to bezier
  objects, text along path and using bezier curves, rectangles and
  ellipses as guides in addition to standard vertical and horizontal
  guide lines
- export file formats (EPS, Adobe Illustrator)
- import file formats (XFig, Adobe Illustrator, WMF, Corels CMX)
- unlimited undo history
- user scripts

%description -l pl
Skencil to interaktywny program do rysunku wektorowego dla systemu
Xwindow (podobnie jak XFig lub tgif). Jego gwne funkcje to:
- podstawowe ksztaty rysunkowe takie jak prostokty, elipsy, krzywe
  Beziera, zewntrzne pliki z obrazami, tekst
- waciwoci ksztatw
- przeksztacenia - obrt, skalowanie, etc.
- efekty specjalne takie jak czenie w grupy, konwersja tekstu na
  krzywe Beziera, ukadanie tekstu wedug zadanego ksztatu, prostokty
  oraz elipsy jako dodatkowe linie pomocnicze
- zapis w innych formatach (EPS, Adobe Illustrator)
- odczyt obcych formatw (XFig, Adobe Illustrator, WMF, CMX programu
  Corel Draw)
- nieskoczona historia zmian pozwalajca na ich cofnicie
- skrypty uytkownika

%description -l pt_BR
Skencil  um programa para desenhos de grficos vetoriais que roda
sobre o X. Ele  escrito em inteiramente em Python, uma linguagem de
programao orientada a objeto interpretada.

%prep
%setup -q

sed -i -e 's@/lib/python@/%{_lib}/python@' \
	Pax/Makefile.pre.in \
	Filter/Makefile.pre.in \
	Sketch/Modules/Makefile.pre.in
sed -i -e "s@'lib'@'%{_lib}'@" setup.py

%build
%{__python} setup.py configure \
	--imaging-include=%{py_incdir} \
	--python-setup=%{py_libdir}/config/Setup \
	--tk-flags='-ltk -ltcl -L/usr/X11R6/%{_lib} -lX11' \
	--with-nls
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__python} setup.py install \
	--prefix=$RPM_BUILD_ROOT%{_prefix}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

mv -f Doc guides

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS NEWS PROJECTS README TODO guides
%attr(755,root,root) %{_bindir}/sk2ps
%attr(755,root,root) %{_bindir}/sk2ppm
%attr(755,root,root) %{_bindir}/sketch
%attr(755,root,root) %{_bindir}/skencil
%attr(755,root,root) %{_bindir}/skshow
%attr(755,root,root) %{_bindir}/skconvert
%dir %{_libdir}/%{name}-%{version}
%attr(755,root,root) %{_libdir}/%{name}-%{version}/sk2ps.py
%attr(755,root,root) %{_libdir}/%{name}-%{version}/sk2ppm.py
%attr(755,root,root) %{_libdir}/%{name}-%{version}/skencil.py
%attr(755,root,root) %{_libdir}/%{name}-%{version}/skshow.py
%attr(755,root,root) %{_libdir}/%{name}-%{version}/skconvert.py
%{_libdir}/%{name}-%{version}/Resources
%{_libdir}/%{name}-%{version}/Script
%dir %{_libdir}/%{name}-%{version}/Sketch
%{_libdir}/%{name}-%{version}/Sketch/VERSION
%{_libdir}/%{name}-%{version}/Sketch/*.py*
%{_libdir}/%{name}-%{version}/Sketch/Base
%{_libdir}/%{name}-%{version}/Sketch/Pixmaps
%{_libdir}/%{name}-%{version}/Sketch/Lib
%{_libdir}/%{name}-%{version}/Sketch/Scripting
%{_libdir}/%{name}-%{version}/Sketch/Graphics
%{_libdir}/%{name}-%{version}/Sketch/UI
%dir %{_libdir}/%{name}-%{version}/Sketch/Modules
%attr(755,root,root) %{_libdir}/%{name}-%{version}/Sketch/Modules/*.so
%{_libdir}/%{name}-%{version}/Plugins
%dir %{_libdir}/%{name}-%{version}/Lib
%attr(755,root,root) %{_libdir}/%{name}-%{version}/Lib/*.so
%{_libdir}/%{name}-%{version}/Lib/*.py*

%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: skencil.spec,v $
Revision 1.14.2.1  2006/12/01 15:13:29  ankry
- restore BR: rpm-pythonprov for Ac

Revision 1.14  2006/12/01 14:24:30  ankry
s/python-Imaging/python-PIL/

Revision 1.13  2005/10/17 09:41:54  qboosh
- removed Patch0 entry too (patch already removed from SOURCES)

Revision 1.12  2005/10/16 18:23:39  deejay1
- updated to 0.6.17
- removed patch0 - applied upstream

Revision 1.11  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.10  2005/01/05 19:41:16  jpc
- python 2.4 patch

Revision 1.9  2005/01/04 09:57:32  qboosh
- use full URL

Revision 1.8  2005/01/03 16:51:14  jpc
- updated URL

Revision 1.7  2004/12/26 18:35:58  saq
- release 4 for rebuild with python 2.4

Revision 1.6  2004/10/31 17:00:40  paladine
- spaces->tabs
- formatting

Revision 1.5  2004/10/29 10:29:14  paladine
- spelling fixes

Revision 1.4  2004/07/28 08:03:20  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.3  2004/07/22 18:59:56  qboosh
- some options and seds to fix build with lib64; release 3

Revision 1.2  2004/07/04 22:15:35  havner
- rel up

Revision 1.1  2004/03/12 23:02:41  grzegol
- moved from sketch.spec and updated to 0.6.16 (sketch has changed name to
  skencil)
